# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ciflows/version'

Gem::Specification.new do |spec|
  spec.name          = 'ciflows'
  spec.version       = Ciflows::VERSION
  spec.authors       = ['cuong.ngo']
  spec.email         = ['cuong.ngo@employmenthero.com']

  spec.summary       = 'CI flows in EH'
  spec.description   = 'No desc'
  # spec.homepage      = "TODO: Put your gem's website or public repo URL here."
  spec.license       = 'MIT'

  # spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"

  # spec.metadata["homepage_uri"] = spec.homepage
  # spec.metadata["source_code_uri"] = "TODO: Put your gem's public repo URL here."
  # spec.metadata["changelog_uri"] = "TODO: Put your gem's CHANGELOG.md URL here."

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']
  spec.bindir        = 'exe'

  spec.add_development_dependency 'bundler', '~> 2.0.2'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rest-client', '~> 2.1'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_dependency 'graphlient', '0.3.6'
  spec.add_development_dependency 'byebug'
  spec.add_dependency 'git'
  spec.add_dependency 'graphql-client', '0.14'
  spec.add_dependency 'graphql', '~> 1.8.11'
  spec.add_dependency 'thor'
  spec.add_development_dependency 'awesome_print'
  spec.add_dependency 'launchy'
end
